Loading...
Searching...
No Matches
parameters.hh File Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

Parameter classes for customizing AMG. More...

`#include <cstddef>`

Go to the source code of this file.

## Classes

class | Dune::Amg::DependencyParameters
| Parameters needed to check whether a node depends on another. More...
class | Dune::Amg::AggregationParameters
| Parameters needed for the aggregation process. More...
class | Dune::Amg::CoarseningParameters
| Parameters for the complete coarsening process. More...
class | Dune::Amg::Parameters
| All parameters for AMG. More...

## Namespaces

namespace | Dune
namespace | Dune::Amg

## Enumerations

enum | Dune::Amg::AccumulationMode { Dune::Amg::noAccu = 0 , Dune::Amg::atOnceAccu =1 , Dune::Amg::successiveAccu =2 }
| Identifiers for the different accumulation modes. More...

## Detailed Description

Parameter classes for customizing AMG.

Author
  Markus Blatt

All parameters of the AMG can be set by using the class Parameter, which can be provided to CoarsenCriterion via its constructor.